Home | History | Annotate | Download | only in sun_nws
      1 #
      2 # CDDL HEADER START
      3 #
      4 # The contents of this file are subject to the terms of the
      5 # Common Development and Distribution License (the "License").
      6 # You may not use this file except in compliance with the License.
      7 #
      8 # You can obtain a copy of the license at src/sun_nws/OPENSOLARIS.LICENSE
      9 # or http://www.opensolaris.org/os/licensing.
     10 # See the License for the specific language governing permissions
     11 # and limitations under the License.
     12 #
     13 # When distributing Covered Code, include this CDDL HEADER in each
     14 # file and include the License file at src/sun_nws/OPENSOLARIS.LICENSE.
     15 # If applicable, add the following below this CDDL HEADER, with the
     16 # fields enclosed by brackets "[]" replaced with your own identifying
     17 # information: Portions Copyright [yyyy] [name of copyright owner]
     18 #
     19 # CDDL HEADER END
     20 #
     21 #
     22 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
     23 # Use is subject to license terms.
     24 #
     25 #ident	"@(#)Makefile	1.11	08/02/27 SMI"
     26 #
     27 # src/sun_nws/Makefile
     28 
     29 include Makefile.config
     30 include Makefile.help
     31 
     32 $(COMPONENTS): FRC
     33 	cd $@; $(MAKE) all
     34 
     35 STANDARD_TARGETS = all install clean clobber nuke lint pkg
     36 
     37 
     38 $(STANDARD_TARGETS): FRC
     39 	@for component_dir in $(COMPONENTS); do \
     40             [ $@ = pkg ] && [ $(MACH) = sparc ] && case $$component_dir \
     41 		in \
     42                	fp) echo "\nfp packaging is contained in fctl pkg(s)\n" && continue ;;\
     43                	luxadm) echo "\nluxadm packaging is contained in libg_fc pkg(s)\n" && continue ;;\
     44                	liba5k) echo "\nliba5k packaging is contained in libg_fc pkg(s)\n" && continue ;;\
     45 	    esac ; \
     46 	    if [ -d $$component_dir ]; then \
     47 		echo "\nMaking $@ in $$component_dir"; \
     48 		(cd $$component_dir && pwd && $(MAKE) $@) ;\
     49 	    elif [ -n "$(RELEASEBLD)" ] ; then \
     50 		echo "\nDirectory $$component_dir not found." >&2;\
     51 		echo "Release build requires all components." >&2;\
     52 		echo "Aborting build.\n\n" >&2;\
     53 		exit 1 ; \
     54 	    elif [ $(BUILDWARNLEVEL) -gt 0 ] ; then \
     55 		echo "\nDirectory $$component_dir not found. (skipping)\n" >&2;\
     56 	    fi ;\
     57 	done;
     58 
     59 
     60 
     61 # Cscope target.
     62 # Build cscope both nws_src and int_src, if present
     63 #
     64 
     65 # ROOT directoroies
     66 NWSTREE		= .
     67 INTTREECMD 	= [ -d $(INTSRC) ] && echo $(INTSRC) || echo ""
     68 INTTREE		= $(INTTREECMD:sh)
     69 
     70 cscope tags: FRC
     71 	@rm -f cscope.*
     72 	find $(NWSTREE)  $(INTTREE) -name SCCS -prune -o -type d -name '.del-*' -prune -o -type d \
     73 		-name 'debug*' -prune -o -type d -name 'obj*' -prune -o -type f \
     74 		\( \
     75 		-name '*.[Ccshlxy]' -o \
     76 		-name 'Makefile*' -o \
     77 		-name '*.adb' -o \
     78 		-name '*.il' -o \
     79 		-name '*.cc' -o \
     80 		-name '*.conf' \
     81 		\) -print > cscope.files
     82 	@$(ONBLD)/$(MACH)/cscope-fast -bq >/dev/null 2>&1
     83 
     84 
     85 FRC:
     86